List actions

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /actions

Returns list of actions in the specified pipeline

Request

REQUIRED SCOPES
EXECUTION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

GET PARAMETERS
trigger_timestring enum
Filter actions by trigger time
Allowed enum:
ON_EVERY_EXECUTION,
ON_SUCCESS,
ON_FAILURE,
ON_BACK_TO_SUCCESS,
ON_WARNING,
ON_WAIT_FOR_APPROVE,
ON_TERMINATE

Example: "ON_EVERY_EXECUTION"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
actionsShortActionResponse[]

Last modified on Feb 18, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/791/actions", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/791/manage", "actions": [ { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/791/actions/1233", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/791/action/1233/edit", "id": 1233, "name": "mvn package", "type": "BUILD", "current_revision": "58e239079a2161fec0ba96ed166557157ad3dd79", "trigger_time": "ON_EVERY_EXECUTION", "run_next": "WAIT_ON_SUCCESS", "disabled": false, "ignore_errors": false, "last_execution_status": "SUCCESSFUL" }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/791/actions/1234", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/791/action/1234/edit", "id": 1234, "name": "Transfer files", "type": "TRANSFER", "current_revision": "58e239079a2161fec0ba96ed166557157ad3dd79", "trigger_time": "ON_EVERY_EXECUTION", "run_next": "WAIT_ON_SUCCESS", "disabled": false, "ignore_errors": false, "last_execution_status": "SUCCESSFUL" }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/791/actions/1235", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/791/action/1235/edit", "id": 1235, "name": "Send notification to Telegram Channel", "type": "TELEGRAM", "current_revision": "", "trigger_time": "ON_EVERY_EXECUTION", "run_next": "WAIT_ON_SUCCESS", "disabled": false, "ignore_errors": false, "integration": { "identifier": "telegram" }, "last_execution_status": "INPROGRESS" } ] }
STATUS
200 OK